package it.integry.integrywmsnative.core.utility;

import com.annimon.stream.Stream;

import java.util.List;

import it.integry.integrywmsnative.core.model.MtbDepoPosizione;
import it.integry.integrywmsnative.core.settings.SettingsManager;

public class UtilityPosizione {

    public static boolean isPosizioneWithLivello(MtbDepoPosizione mtbDepoPosizione) {

        //TODO: Review this check


        if(mtbDepoPosizione != null) {

            char LChar = mtbDepoPosizione.getPosizione().charAt(mtbDepoPosizione.getPosizione().length()-2);

            if(LChar == 'L') {
                return true;
            } else return false;
        }

        return false;
    }

    public static MtbDepoPosizione getFromCache(String posizione) {
        List<MtbDepoPosizione> tmpList = Stream.of(SettingsManager.iDB().getAvailablePosizioni())
                .filter(x -> x.getPosizione().equalsIgnoreCase(posizione)).toList();

        if(tmpList != null && tmpList.size() > 0) return tmpList.get(0);
        else return null;
    }

}
